Auteur Sujet: [FTTH] Bypasser la Neufbox Fibre avec un Routeur Linux  (Lu 37071 fois)

0 Membres et 1 Invité sur ce sujet

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
[FTTH] Bypasser la Neufbox Fibre avec un Routeur Linux
« le: 09 octobre 2013 à 00:55:21 »

Bypasser la Neufbox Fibre avec un Routeur Linux
Sommaire

Mise en garde : Ni moi, Ni lafibre.info n'est responsable d'un quelconque dysfonctionnement.

Dysfonctionnements relevés :
  • Pb VOD et Replay : Erreur PK1
  • Plantage Appli iOs lorsque l'on veux programmer un enregistrement

Tentative d'amélioration : https://lafibre.info/sfr-espace-technique/amelioration-bypass-neufbox/
« Modifié: 10 mai 2014 à 17:35:31 par jewome62 »

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #1 le: 09 octobre 2013 à 00:55:31 »
Résumé de l'infra technique de SFR
La fibre de SFR c'est :
  • Plus de un million de logements éligibles avec des bailleurs ou dans des copropriétés.
  • Plusieurs dizaines de milliers d’abonnés en fibre optique.
  • Plus de 400 000 logements commandés pour raccordement par les opérateurs concurrents à SFR (mutualisation).

Il existe trois méthodes de connexion FTTH chez SFR:

  • FTTH GPON (la plupart des cas)
  • FTTH P2P (Principalement à Paris)
  • FTTH Active Ethernet (sur les Réseau d'Initiative Publique)

Plus de détails : Comprendre les différences entre la fibre "FTTH Gpon", "FTTH P2P", "FTTH Active Ethernet" et "FTTLA"

Dans la plupart des cas (GPON), SFR vous fournira :
Un ONT (optical network termination)
Celui-ci permet d'extraire la partie du réseau qui vous est alloué et les transmet au routeur via Ethernet

Un Routeur (NeufBox v5 ou Neufbox v6)
Celui-ci permet le routage des paquets dans vos réseau et ajoute des fonctionnalités :
Wifi, DynDns, NAT, FireWall, Partage Samba, Partage d'imprimante, etc

Un décodeur
Celui-ci permet de restituer les trames reçu en vidéo sur votre télévision

En cas de P2P ou d'Active Ethernet, vous ne recevrai pas d'ONT, mais un module SFP à insérer dans le routeur.
« Modifié: 21 novembre 2013 à 21:27:17 par jewome62 »

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #2 le: 09 octobre 2013 à 00:55:39 »
Pré-Requis

Il vous faudra :
  • L'ONT de SFR ou module SFP
  • Un routeur sous Linux avec 2 interfaces réseau (Un RJ45 si ONT, un slot SFP si module SFP)
  • Un ou plusieurs décodeurs si vous voulez la TV

Du côté des compétences, il vous faut maitriser un environnement Linux en ligne de commande
Dans mon cas, j'utilise une distribution Ubuntu Server 13.04
(donc sudo, apt, mais c'est applicable sur d'autres distributions)

Vous devez aussi avoir le nécessaire pour faire une compilation pour IgmpProxy
sudo apt install build-essential

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #3 le: 09 octobre 2013 à 00:55:45 »
Explications théoriques
Internet
La connexion Internet passe en IPoE, IP over Ethernet (Différence entre PPPoX et IPoX )
L'adresse IP de votre connexion internet est récupérée auprès de SFR par DHCP.
Pour que le serveur DHCP accepte votre requête, vous devez mentir et dire que vous êtes une neufbox
Pour cela nous utiliserons le champs vendor.

Le vendor est composé traditionnellement de "neufbox5_"$productid"_"$main_version

Par exemple
neufbox5_NB5-SER-r1_NB5-MAIN-R2.2.2
En réalité, votre requête sera accepté si le vendor commence par neufbox
Il existe une norme entre les ByPasseur pour le vendor.
neufbox-BypassedNeufBox-DirectConnectionToFTTH-votremail@contact.xyzCela permettra au technicien de comprendre qu'un système homeMade a pris la main

Télévision
La télévision passe par des flux multicast.
Pour demander une chaine, on utilise IGMP.

Si vous voulez plus de détails sur le fonctionnement du multicast et de IGMP :Article IGMP sur Wikipédia

Le décodeur utilise une API RESTfull de la Neufbox pour récupérer des infomations comme l'adresse IP, le lien physique utilisé (fibre ou ADSL), la liste des périphériques sur le réseau. La documentation de cette api est disponible ici : Efixo Doc

Si le lien est mort : voici une version PDF de la Doc


Le but dans ce bypass est :
  • De transmettre les paquets IGMP du réseau local vers l'extérieur.
  • De simuler l'API de la Neufbox (de la partie nécessaire au décodeur)
« Modifié: 21 novembre 2013 à 21:22:05 par jewome62 »

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #4 le: 09 octobre 2013 à 00:55:54 »
Mise en Pratique
Dans mon cas, il s'agit d'une offre Fibre SFR en GPON avec donc un ONT
J'expliquerai donc mon cas et je supposerai que cela sera de même pour le P2P et l'Active Ethernet.

Internet
Premièrement, vous devez connecter ONT sur un port RJ45 du routeur

Modifier votre fichier /etc/network/interfaces
En supposant que l'interface connecté soit eth0

# The primary network interface
auto eth0
iface eth0 inet dhcp

Il va falloir modifier le client DHCP pour lui indiquer le vendor de la neufbox : /etc/dhcp/dhclient.conf

interface "eth0" {
        send vendor-class-identifier "neufbox-BypassedNeufBox-DirectConnectionToFTTH-adresse@mail.com";
}

vous pouvez redémarrer votre interface pour la prise en compte
sudo ifdown eth0
sudo ifup eth0

Vous pouvez maintenant tester que vous avez bien internet depuis le routeur

ping lafibre.info

Important : La suite est une des nombreuses méthodes qui existe pour créer son réseau. Si votre réseau existe déjà, vous pouvez ignorer cette partie
Maintenant, il vous faut autoriser votre réseau à utiliser internet .
Vous devez pour cela :
  • configurer le réseau
  • installer et configurer dhcpd
  • modifier iptables
  • autoriser l'ip forward

Réseau
Editer la configuration réseau /etc/network/interfaces
En supposant que votre réseau soit sur eth1

  auto eth1
iface eth1 inet static
        address 192.168.0.1 #Adresse du routeur sur le LAN
        netmask 255.255.255.0 # Masque sous réseau
        network 192.168.0.0 #Adresse du réseau
        broadcast 192.168.0.255 # Broadcast
        post-up iptables-restore < /etc/iptables.rules
        pre-down iptables-save > /etc/iptables.rules

DHCP Deamon
Installer iptables et dhcpd
sudo apt install iptables dhcpd
Ensuite, nous allons demander à dhcpd de fournir des IP à notre réseau (ici eth1)

Tout d'abord, nous lui indiquons quel interface écouter

Modifier le fichier /etc/default/isc-dhcp-server
Et renseigner la ligne INTERFACES

Exemple :
INTERFACES="eth1"Si vous avez plusieurs interfaces, inscrivez-les séparées par des espaces

Ensuite, nous allons définir la plage d'ip local
Pour cela modifier le fichier /etc/dhcp/dhcpd.conf

Exemple de configuration :
ddns-update-style none;

option domain-name "votre-domaine.local";

default-lease-time 86400;
max-lease-time 604800;

authoritative;

log-facility local7;

# Cette ligne est importante pour la TV, mettez celle de votre routeur
option ntp-servers 192.168.0.1;

subnet 192.168.0.0 netmask 255.255.255.0 {
        range 192.168.0.50 192.168.0.80;
        option broadcast-address 192.168.0.255;
        option routers 192.168.0.1;
        option domain-name-servers 109.0.66.10, 109.0.66.20;
}

Redémarrer DHCPD
sudo service isc-dhcp-server start
IP Forward
Autoriser l'IP Forwarding (pour cette session)
echo 1 >> /proc/sys/net/ipv4/ip_forward
Puis pour faire fonctionner définitivement, dans le fichier /etc/network/options
ip_forward=yes
IpTables
Ici, je charge mes règles iptables au démarrage de l'interface et je les sauvegarde à l'extinction
Il s'agit d'une méthode comme d'une autre.

Je crée mon fichier /etc/iptables.rules cité dans mon fichier d'interface
Exemple de ma configuration
*mangle
:PREROUTING ACCEPT [2894030:4352692056]
:INPUT ACCEPT [2074235:2793895319]
:FORWARD ACCEPT [2864013:4330513879]
:OUTPUT ACCEPT [14223:2632508]
:POSTROUTING ACCEPT [2872462:4330610175]
COMMIT

*nat
:PREROUTING ACCEPT [25101:23966209]
:INPUT ACCEPT [1904:142703]
:OUTPUT ACCEPT [128:8756]
:POSTROUTING ACCEPT [53:14076]
-A POSTROUTING -o eth0 -j MASQUERADE
COMMIT

*filter
:INPUT DROP [30247:41013616]
:FORWARD DROP [60:21637]
:OUTPUT DROP [0:0]
-A INPUT -i lo -j ACCEPT
-A INPUT -p tcp -m tcp --dport 22 -m state --state NEW,ESTABLISHED -j ACCEPT
-A INPUT -i eth0 -m state --state RELATED,ESTABLISHED -j ACCEPT
-A INPUT -i eth1-j ACCEPT
-A INPUT -p tcp -m tcp --dport 22 -m state --state NEW,ESTABLISHED -j ACCEPT
-A INPUT -p icmp -j ACCEPT
-A FORWARD -i eth1 -o eth0 -j ACCEPT
-A FORWARD -i eth0 -o lan -j ACCEPT
-A OUTPUT -o lo -j ACCEPT
-A OUTPUT -o eth0 -m state --state NEW,RELATED,ESTABLISHED -j ACCEPT
-A OUTPUT -o eth1 -j ACCEPT
COMMIT
Dans cette configuration, on accepte la transmission des paquets entre le réseau et Internet
On active le NAT (MASQUERADE)
J'autorise la machine a être pinguer depuis l'extérieur et le réseau (icmp)
et enfin j'autorise la connexion ssh (port 22)

A ce moment, votre décodeur devrait fonctionné pour écouter la radio et consulter le guide TV
« Modifié: 09 octobre 2013 à 09:52:43 par jewome62 »

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #5 le: 09 octobre 2013 à 00:56:02 »
Télévision

Tout d'abord, nous allons autoriser les paquets IGMP qui permettent d'annoncer que l'on souhaite recevoir un flux TV
Ensuite, nous réglerons le problème d'hordorage avec NTP
Et nous finirons par simuler l'api de la neufbox

IpTables
sudo iptables -A INPUT -p igmp -j ACCEPT
IgmpProxy
Celui-ci permet de transmettre les paquets IGMP produit dans votre réseau local vers l'extérieur.

Tout d'abord, nous devons compiler IgmpProxy
http://sourceforge.net/projects/igmpproxy/
wget http://freefr.dl.sourceforge.net/project/igmpproxy/igmpproxy/0.1/igmpproxy-0.1.tar.gz
tar -zxvf igmpproxy-0.1.tar.gz
cd igmpproxy-0.1
 ./configure
sudo make
sudo make install

Maintenant, nous allons crée le script de démarrage automatique de IgmpProxy
créer le fichier /etc/init.d/igmpproxy
#! /bin/sh
### BEGIN INIT INFO
# Provides: igmp proxy
# Required-Start: $remote_fs
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Example initscript
# Description: IGMP Proxy init file
### END INIT INFO

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
#PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="IGMP Proxy"
NAME=igmpproxy
DAEMON=/usr/local/sbin/$NAME
DAEMON_ARGS="/usr/local/etc/igmpproxy.conf"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --background --make-pidfile --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}


case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
:

Maintenant nous allons le rendre exécutable et nous allons le démarrer à chaque démarrage du routeur.
sudo chmod 755 /etc/init.d/igmpproxy
sudo update-rc.d igmpproxy defaults

Ensuite, nous allons configurer IgmpProxy en modifiant le fichier /usr/local/etc/igmpproxy.conf

########################################################
#
#  Configuration file for the IgmpProxy
#   --------------------------------------------
#
#   The configuration file must define one upstream
#   interface, and one or more downstream interfaces.
#
#   If multicast traffic originates outside the
#   upstream subnet, the "altnet" option can be
#   used in order to define legal multicast sources.
#   (Se example...)
#
#   The "quickleave" should be used to avoid saturation
#   of the upstream link. The option should only
#   be used if it's absolutely nessecary to
#   accurately imitate just one Client.
#
########################################################

##------------------------------------------------------
## Enable Quickleave mode (Sends Leave instantly)
##------------------------------------------------------
quickleave


##------------------------------------------------------
## Configuration for eth0 (Upstream Interface)
##------------------------------------------------------
phyint eth0 upstream  ratelimit 0  threshold 1
altnet 10.10.0.0/16
altnet 10.200.0.0/16
altnet 233.0.0.0/8
altnet 224.0.0.0/8
altnet 93.17.149.15
altnet 93.17.149.158
altnet 86.65.232.22
altnet 84.96.146.150
altnet 86.66.67.62
altnet 86.66.67.58
altnet 86.65.94.9
altnet 86.65.232.10
altnet 93.20.55.42
##------------------------------------------------------
## Configuration for eth1 (Downstream Interface)
##------------------------------------------------------
phyint eth1 downstream  ratelimit 0  threshold 1


Si vous avez plusieurs décodeurs, je vous conseil de commenté la ligne quickleave
En effet, dans le cas contraire, si vous regardez la même chaine sur deux décodeurs, et que l'on éteints un décodeur. l'autre ne reçoit plus le flux
Il faudra changer de chaine et revenir pour avoir à nouveau la chaine

Le service est près à être démarré.
sudo service igmpproxy start
NTP
Installer NTP
sudo apt install ntp
Modifier le fichier /ect/ntp.conf
# /etc/ntp.conf, configuration for ntpd; see ntp.conf(5) for help

driftfile /var/lib/ntp/ntp.drift


# Enable this if you want statistics to be logged.
#statsdir /var/log/ntpstats/

statistics loopstats peerstats clockstats
filegen loopstats file loopstats type day enable
filegen peerstats file peerstats type day enable
filegen clockstats file clockstats type day enable

# Specify one or more NTP servers.

# Use servers from the NTP Pool Project. Approved by Ubuntu Technical Board
# on 2011-02-08 (LP: #104525). See http://www.pool.ntp.org/join.html for
# more information.

server ntp.univ-lyon1.fr
server ntp.imag.fr
server ntp.uvsq.fr
server ntp.laas.fr
server ntp.unilim.fr
server 127.127.1.0
fudge 127.127.0.0 stratum 10

Démarrer NTP
sudo service ntp start
Simuler l'API de la Neufbox
Nous allons simuler une partie de la neufbox pour l'utilisation basique du décodeur

nous devons simuler
  • system.getInfo
  • lan.getHostsList
  • wan.getInfo

Ces api sont disponible en http à cette adresse.
http://[ip-du-routeur]/api/1.0/?method=[nom-methode]

crée l'arborescence suivante
/var/www/api/1.0/

et dans ce dossier créer les fichiers suivants :

system
<rsp stat="ok" version="1.0">
<system product_id="NB6-FXC-r2" mac_addr="aa:bb:cc:dd:ee:ff" net_mode="router" net_infra="ftth" uptime="99999999999999" version_mainfirmware="NB6-MAIN-R3.2.12" version_rescuefirmware="NB6-RESCUE-R3.1.8" version_bootloader="NB6-BOOTLOADER-R1.32.0" version_dsldriver="NB6-ADSL-A2pD030q" current_datetime="201310090017" refclient="[ref-client]"/>
</rsp>

lan
<rsp stat="ok" version="1.0">
<host type="stb" name="[nom-reseau-decodeur]" ip="[ip-decodeur]" mac="[adresse-mac-decodeur]" iface="lan1" probe="55" alive="725228" status="online"/>
</rsp>

PS : pensez à fixer l'ip de votre décodeur pour correspondre à api

wan
<rsp stat="ok" version="1.0">
<wan status="up" uptime="999999" ip_addr="[ip-de-l-acces-wan]" infra="ftth"/>
</rsp>

ftth
<?xml version="1.0" encoding="UTF-8"?>
<rsp stat="ok" version="1.0">
     <ftth status="up" />
</rsp>

Serveur Web
Vous devez ajouter les redirection à votre serveur Web.

Avec Apache 2.2
sudo apt install apache2 apache2.2-common
Crée le fichier /etc/apache2/sites-available/decodeur
<VirtualHost *:80>
   ServerName 192.168.0.1

   <Directory "/var/www/api/1.0/">

        LoadModule rewrite_module /usr/lib/apache2/modules/mod_rewrite.so

        RewriteEngine On

        RewriteCond %{QUERY_STRING} ^(.*&)?method=wan\.getInfo[^&]*
        RewriteRule ^.*$ wan [L]

        RewriteCond %{QUERY_STRING} ^(.*&)?method=system\.getInfo[^&]*
        RewriteRule ^.*$ system

        RewriteCond %{QUERY_STRING} ^(.*&)?method=lan\.getHostsList[^&]*
        RewriteRule ^.*$ lan [L]


        RewriteCond %{QUERY_STRING} ^(.*&)?method=ftth\.getInfo[^&]*
        RewriteRule ^.*$ ftth [L]

        Options -Indexes FollowSymLinks +MultiViews
        Order deny,allow
        Deny from all
        Allow from 192.168.0.0/24 ::1/128

   </Directory>

    ErrorLog /var/www/api/apache.error.log
    CustomLog /var/www/api/apache.access.log common
</VirtualHost>

Activer le VirtualHost decodeur et redémarrer le service
sudo a2ensite decodeur
sudo service apache2 restart

Avec  lighttpd
sudo apt install lighttpd
Modifier le fichier /etc/lighttpd/lighttpd.conf
et décomenter l'option mod_rewrite

Voici la configuration pour l'api
url.rewrite-once=(
"wan\.getInfo$" => "/api/1.0/wan",
"system\.getInfo$" => "/api/1.0/system",
"ftth\.getInfo$" => "/api/1.0/ftth"
)

Redémarrer le service
sudo service lighttpd restart
maintenant tester les liens suivant (Remplacer l'ip par l'ip de votre routeur):
http://192.168.0.1/api/1.0/?method=system.getInfo
http://192.168.0.1/api/1.0/?method=lan.getHostsList
http://192.168.0.1/api/1.0/?method=wan.getInfo

Maintenant, votre installation devrait être fonctionnel.
Vous devrez probablement redémarrer votre décodeur pour remettre à zéro les paramètres réseau du décodeur
« Modifié: 05 mai 2014 à 14:11:49 par jewome62 »

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #6 le: 09 octobre 2013 à 00:56:09 »
Téléphone
Vous pouvez brancher votre neufbox comme cliente du réseau et brancher le téléphone sur la neufbox (non testé)
Voir le tutoriel de neufbox4.org

SFR utilise SIP pour la téléphonie.
Le mot de passe de la ligne est caché et n'est pas fourni par SFR.
Il existe une méthode pour récupérer ce mot de passe Déchiffrer le mot de passe SIP de la Neufbox (non testé)
Vous pouvez néanmoins utiliser l'application Libertalk, qui permet d'utiliser votre offre de téléphonie sur votre PC
SFR LiberTalk, le service de téléphonie sur PC
« Modifié: 21 novembre 2013 à 21:20:39 par jewome62 »

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #7 le: 09 octobre 2013 à 00:56:16 »
Source et remerciement
Merci à
  • Vivien
  • jeremyp3
  • ashemta
  • et tout ceux de la fibre.info qui m'ont aidé

Source :


Si vous avez besoin d'aide pour le ByPass, je vous invite à créer un nouveau Sujet avec le détail de vos problèmes.
Si vous avez des suggestions, vous pouvez les poster à la suite de ce sujet
« Modifié: 05 mai 2014 à 14:12:58 par jewome62 »

kgersen

  • Client Orange Fibre
  • Modérateur
  • *
  • Messages: 4 714
  • FTTH 1Gb/s sur Paris (75)
Bypasser la Neufbox
« Réponse #8 le: 09 octobre 2013 à 03:23:09 »
merci, excellent tuto !

Sais tu si on peut faire tout ça dans un routeur sous OpenWrt ? J'ai vu qu'OpenWrt supporte IgmpProxy donc je vois pas de contre-indications mais tant que personne ne l'a fait en pratique ca ne prouve rien.

Quid des flux TV ? Peux on les récupérer sur son propre HTPC (avec XBMC par exemple) ou y'a t'il une protection quelque part qui impose l'utilisation du décodeur SFR ? (peut etre pas les chaines a options mais au moins les gratuites?)

En tous cas, cette liberté et ouverture au niveau du routeur cela donne envie d'aller chez SFR.

jeremyp3

  • Pau Broadband Country (64)
  • Client Orange Fibre
  • *
  • Messages: 311
  • FTTH 1Gb/s sur Pau (64)
Bypasser la Neufbox
« Réponse #9 le: 09 octobre 2013 à 04:31:06 »
bonjour,

on peu récupérrer quelques chaines sur son pc mais la liste est très restrinte

les voici, peut être que ça a changé

Mosaique 1
Mosaique 2
Canal +
France 3
France 5
Arte
Direct 8
W9
TMC
NT1
NRJ 12
La Chaîne Parlementaire
i> TELE
DirectStar
BFM TV SD / hd
Gulli
TV5 Monde
France O
Astro Center
KTO
CNN
CNBC
Al Jazeera
Medi1sat
Piano
LCM
Grand lille tv
RTM6
RTM4
TLM
RTPI
CNBC
Tunise 7
Téléplaisance
Aljazeera
Canal Algérie
Mosaique Canal +
Mosaique Canal Sat 1
Mosaique Canal Sat 2
Mosaique Canal Sat 3
Mosaique Canal Sat 4
Mosaique Canal Sat 5

jerem

jewome62

  • Client SFR fibre FTTH
  • *
  • Messages: 225
  • FTTH 300 Mb/s sur Lille (59)
    • Mon site web personnel
Bypasser la Neufbox
« Réponse #10 le: 09 octobre 2013 à 09:35:43 »
Je ne connais pas OpenWRT, j'imagine que si tu peux faire chaque étapes, il est possible d'arriver au même résultat.

Je trouve que cela a peu d’intérêt de remplacer le décodeur.
Mais c'est possible vu que les sources (au moins une partie, sont diffusé sur le même site que l'api de la neufbox)
« Modifié: 21 novembre 2013 à 21:22:29 par jewome62 »

butler_fr

  • Client Bbox adsl
  • Modérateur
  • *
  • Messages: 3 104
  • ADSL sur Marseille (13)
Bypasser la Neufbox
« Réponse #11 le: 09 octobre 2013 à 09:52:57 »
la classe!

n'ayant pas sfr je ne vais pas tester mais sinon je me serais lancé direct!

 

Mobile View